PickListRenderer (RichFaces JSF components library 3.2.0.CR3 API)
Keywords: org.richfaces.renderkit.PickListRenderer class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.renderkit
Class PickListRenderer

    java.lang.Object
      javax.faces.render.Renderer
          org.ajax4jsf.renderkit.RendererBase
              org.ajax4jsf.renderkit.HeaderResourcesRendererBase
                  org.richfaces.renderkit.PickListRenderer

All Implemented Interfaces:
  org.ajax4jsf.renderkit.ChameleonRenderer, org.ajax4jsf.renderkit.HeaderResourceProducer, org.ajax4jsf.resource.ResourceProduser

Direct Known Subclasses:
  PickListRendererGen

    public class PickListRenderer

extends org.ajax4jsf.renderkit.HeaderResourcesRendererBase

Field Summary
`protected static java.lang.String` | `SHOW_LABELS_ATTRIBUTE_NAME`
`protected static OrderingComponentRendererBase.ControlsHelper[]` | `SHUTTLE_HELPERS`

Fields inherited from class org.ajax4jsf.renderkit.RendererBase
`JAVASCRIPT_NAMESPACE`

Constructor Summary
`PickListRenderer()`

Method Summary
`void` | `decode(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)`
`protected void` | `encodeControlFacet(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component, OrderingComponentRendererBase.ControlsHelper helper, java.lang.String clientId, javax.faces.context.ResponseWriter writer, boolean enabled, java.lang.String baseStyle, java.lang.String baseControlStyle)`
`void` | `encodeHiddenField(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)`
`void` | `encodeItem(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component, javax.faces.convert.Converter converter, javax.faces.model.SelectItem selectItem, boolean source, java.lang.String suff)`
`void` | `encodePickListControlsFacets(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)`
`void` | `encodeSourceRows(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)`
`protected void` | `encodeSpacer(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component, javax.faces.context.ResponseWriter writer)`
`void` | `encodeTargetRows(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)`
`java.lang.String` | `getAsEventHandler(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component, java.lang.String attributeName)`
`protected java.util.List` | `getClassesAsList(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component, java.lang.String attr)`
`java.lang.String` | `getColumnClassesAsJSArray(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)`
`protected java.lang.Class<? extends javax.faces.component.UIComponent>` | `getComponentClass()`
`java.lang.Object` | `getConvertedValue(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component, java.lang.Object submittedValue)`
`java.lang.String` | `getRowClassesAsJSArray(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)`
`protected java.util.List` | `getSelectItemsList(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)`
`protected void` | `renderDefaultControl(javax.faces.context.FacesContext context, javax.faces.component.UIComponent orderingList, javax.faces.context.ResponseWriter writer, boolean useFacet, OrderingComponentRendererBase.ControlsHelper helper, java.lang.String clientId, java.util.ResourceBundle bundle, boolean enabled, java.lang.String baseStyle, java.lang.String baseControlStyle)`
`protected java.util.List` | `selectItemsForAvailableList(javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent uiComponent, java.util.List<javax.faces.model.SelectItem> selectItemList, java.util.List<javax.faces.model.SelectItem> selectItemsForSelectedList, javax.faces.convert.Converter converter)`
`protected java.util.List<javax.faces.model.SelectItem>` | `selectItemsForSelectedList(javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent uiComponent, java.util.List<javax.faces.model.SelectItem> selectItemList, javax.faces.convert.Converter converter, java.util.List<javax.faces.model.SelectItem> lookupList)`

Methods inherited from class org.ajax4jsf.renderkit.HeaderResourcesRendererBase
`encodeResourcesArray, getHeaderScripts, getHeaderStyles, getScripts, getStyles, preEncodeBegin`

Methods inherited from class org.ajax4jsf.renderkit.RendererBase
`addResource, doDecode, doEncodeBegin, doEncodeChildren, doEncodeEnd, encodeBegin, encodeChildren, encodeEnd, getResource, getSkin, getUtils, preDecode, renderChild, renderChildren`

Methods inherited from class javax.faces.render.Renderer
`convertClientId, getRendersChildren`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### SHUTTLE_HELPERS

    protected static final OrderingComponentRendererBase.ControlsHelper[] SHUTTLE_HELPERS

### SHOW_LABELS_ATTRIBUTE_NAME

    protected static final java.lang.String SHOW_LABELS_ATTRIBUTE_NAME

See Also:
  Constant Field Values

Constructor Detail

### PickListRenderer

    public PickListRenderer()

Method Detail

### selectItemsForSelectedList

    protected java.util.List<javax.faces.model.SelectItem> selectItemsForSelectedList(javax.faces.context.FacesContext facesContext,
                                                                                      javax.faces.component.UIComponent uiComponent,
                                                                                      java.util.List<javax.faces.model.SelectItem> selectItemList,
                                                                                      javax.faces.convert.Converter converter,
                                                                                      java.util.List<javax.faces.model.SelectItem> lookupList)

### selectItemsForAvailableList

    protected java.util.List selectItemsForAvailableList(javax.faces.context.FacesContext facesContext,
                                                         javax.faces.component.UIComponent uiComponent,
                                                         java.util.List<javax.faces.model.SelectItem> selectItemList,
                                                         java.util.List<javax.faces.model.SelectItem> selectItemsForSelectedList,
                                                         javax.faces.convert.Converter converter)

### getSelectItemsList

    protected java.util.List getSelectItemsList(javax.faces.context.FacesContext context,
                                                javax.faces.component.UIComponent component)

### decode

    public void decode(javax.faces.context.FacesContext context,
                       javax.faces.component.UIComponent component)

  Overrides:
    `decode` in class `org.ajax4jsf.renderkit.RendererBase`

### getConvertedValue

    public java.lang.Object getConvertedValue(javax.faces.context.FacesContext context,
                                              javax.faces.component.UIComponent component,
                                              java.lang.Object submittedValue)
                                       throws javax.faces.convert.ConverterException

  Overrides:
    `getConvertedValue` in class `javax.faces.render.Renderer`
  Throws:
    `javax.faces.convert.ConverterException`

### encodeItem

    public void encodeItem(javax.faces.context.FacesContext context,
                           javax.faces.component.UIComponent component,
                           javax.faces.convert.Converter converter,
                           javax.faces.model.SelectItem selectItem,
                           boolean source,
                           java.lang.String suff)
                    throws java.io.IOException

  Throws:
    `java.io.IOException`

### encodeTargetRows

    public void encodeTargetRows(javax.faces.context.FacesContext context,
                                 javax.faces.component.UIComponent component)
                          throws java.io.IOException

  Throws:
    `java.io.IOException`

### encodeSourceRows

    public void encodeSourceRows(javax.faces.context.FacesContext context,
                                 javax.faces.component.UIComponent component)
                          throws java.io.IOException

  Throws:
    `java.io.IOException`

### encodeSpacer

    protected void encodeSpacer(javax.faces.context.FacesContext context,
                                javax.faces.component.UIComponent component,
                                javax.faces.context.ResponseWriter writer)
                         throws java.io.IOException

  Throws:
    `java.io.IOException`

### encodeHiddenField

    public void encodeHiddenField(javax.faces.context.FacesContext context,
                                  javax.faces.component.UIComponent component)
                           throws java.io.IOException

  Throws:
    `java.io.IOException`

### getComponentClass

    protected java.lang.Class<? extends javax.faces.component.UIComponent> getComponentClass()

  Specified by:
    `getComponentClass` in class `org.ajax4jsf.renderkit.RendererBase`

### getAsEventHandler

    public java.lang.String getAsEventHandler(javax.faces.context.FacesContext context,
                                              javax.faces.component.UIComponent component,
                                              java.lang.String attributeName)

### getColumnClassesAsJSArray

    public java.lang.String getColumnClassesAsJSArray(javax.faces.context.FacesContext context,
                                                      javax.faces.component.UIComponent component)

### getRowClassesAsJSArray

    public java.lang.String getRowClassesAsJSArray(javax.faces.context.FacesContext context,
                                                   javax.faces.component.UIComponent component)

### getClassesAsList

    protected java.util.List getClassesAsList(javax.faces.context.FacesContext context,
                                              javax.faces.component.UIComponent component,
                                              java.lang.String attr)

### encodePickListControlsFacets

    public void encodePickListControlsFacets(javax.faces.context.FacesContext context,
                                             javax.faces.component.UIComponent component)
                                      throws java.io.IOException

  Throws:
    `java.io.IOException`

### encodeControlFacet

    protected void encodeControlFacet(javax.faces.context.FacesContext context,
                                      javax.faces.component.UIComponent component,
                                      OrderingComponentRendererBase.ControlsHelper helper,
                                      java.lang.String clientId,
                                      javax.faces.context.ResponseWriter writer,
                                      boolean enabled,
                                      java.lang.String baseStyle,
                                      java.lang.String baseControlStyle)
                               throws java.io.IOException

  Throws:
    `java.io.IOException`

### renderDefaultControl

    protected void renderDefaultControl(javax.faces.context.FacesContext context,
                                        javax.faces.component.UIComponent orderingList,
                                        javax.faces.context.ResponseWriter writer,
                                        boolean useFacet,
                                        OrderingComponentRendererBase.ControlsHelper helper,
                                        java.lang.String clientId,
                                        java.util.ResourceBundle bundle,
                                        boolean enabled,
                                        java.lang.String baseStyle,
                                        java.lang.String baseControlStyle)
                                 throws java.io.IOException

  Throws:
    `java.io.IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008. All Rights Reserved.